@echo off
:: --------------------------------------------------------------------------------
:: RAMDISK_APACHEINSTALL.CMD - Script to start "mapache.exe" From BartPE
:: MicroApache version
:: Adapted from adaware.cmd created by Bart Lagerweij.
:: Modified for SPLIT Apache 2.0
:: --------------------------------------------------------------------------------
echo RAMDISK_APACHEINSTALL.CMD: Starting...
setlocal
rem if "%temp%" equ "" goto ERR
REM Have we already installed? - check config file
if exist "%temp%\MicroApache\conf\httpd.conf" goto RUN
echo RAMDISK_APACHE.CMD: Copying Apache Stub "%~dp0*.*" to "%temp%\MicroApache\"

REM Copy any root files...
xcopy "%~dp0*.*" "%temp%\MicroApache\"
xcopy "%~dp0phpinfo.php" "%temp%\"

REM Copy remainder of working folders...
xcopy /s "%~dp0CGI-BIN\*.*" "%temp%\MicroApache\cgi-bin\"
xcopy /s "%~dp0CONF\*.*" "%temp%\MicroApache\conf\"
xcopy /s "%~dp0LOGS\*.*" "%temp%\MicroApache\logs\"
xcopy /s "%~dp0ERROR\*.*" "%temp%\MicroApache\error\"
xcopy /s "%~dp0MODULES\*.*" "%temp%\MicroApache\modules\"

:RUN
cls
ECHO ===============================================================================
ECHO MicroApache 2.0.x - BartPE Installer Script
ECHO http://microapache.amadis.sytes.net
ECHO M Shaw - January 2008
ECHO ===============================================================================
ECHO About to Install the Apache service for Windows
ECHO Note that you must start it afterwards using the Startup Script
ECHO You should have already run the Apache Test script by now to ensure your
ECHO configuration has no errors in this environment.
ECHO If you get an error - failed to get a socket for 0.0.0.0 - then you don't have
ECHO network support installed and running yet. Do it before installing Apache
ECHO.
ECHO Your config file (httpd.conf) is held in RAMDisk %temp%\conf\
ECHO You can manually uninstall Apache using %temp%\MicroApache\mapache.exe -k uninstall
EcHO.
ECHO If you included PHPINFO.PHP it will have been copied to the drive ROOT
ECHO To prevent this (for public-facing use) remove PHPINFO.PHP from plugin
ECHO This file represents a SECURITY RISK but BartPE/UBCDWin isn't for public use
ECHO.
ECHO MicroApache will run on port 8800 by default. Edit httpd.conf to change
ECHO.
pause

ECHO Installing the Apache 2.0 Server to %temp% in ramdisk on B:  ...
REM Since we set ServerRoot using "." we have to CD to the correct location for "."
REM We must assume the RAMDiSK is on drive B (BartPE and UBCDWIN)
b:
REM Now change directory to the location of mapache.exe so we get the correct server root
cd %temp%\microapache\
cmd /c "mapache.exe -k install -f conf\httpd.conf -w" 
pause
goto END

:ERR
echo.
echo RAMDISK_APACHE.CMD: No temp variable set...
echo RAMDISK_APACHE.CMD: This plugin needs a ramdisk...
echo.
pause

:END
endlocal
